from asyncio import Queue


class AbstractWorker:
    def __init__(self, macro_op_queue: Queue):
        self.running = False
        self.macro_op_queue = macro_op_queue
        self.test_mode = False

    async def run(self):
        self.running = True

    def dispose(self):
        self.running = False
